keycloak:
  publicKey: 'PUBLIC KEY HERE (OPTIONAL)'
  endpoints:
    token: 'TOKEN ENDPOINT HERE'
  clientId: 'RISOR'
  clientSecret: 'CLIENT SECRET HERE'
  uri:
    protocol: 'http'
    hostname: 'keycloak'
    port: '8080'

scenarios:
  uri: 'm4://scenarios/dev'
  path: 'scenarios/models'

authorization:
  scenarios:
    protected:
      - builtins-fetch.test
      - builtins-transfer.test
      - echo-input.test
      - echo.test
      - forward-user-token.test
      - gatecloud-annie.test
      - gatecloud-bridge-annie.test
      - grant-dataset-permission
      - import-dataset-into-project.test
      - include.test
      - subtask.test
      - patents-explorer
      - patents-extraction-cortext
      - timeout.test

providers:
  risor:
    name: 'RISOR'
    uri:
      protocol: 'http'
      hostname: 'localhost'
      port: '7777'
      pathname: 'providers'
  builtins:
    name: 'RISOR builtins methods'
    uri:
      protocol: 'http'
      hostname: 'localhost'
      port: '7777'
      pathname: 'builtins'
  cortext:
    name: 'Cortext'
    token: 'ADD THE CORTEXT API TOKEN HERE'
    spec: 'https://gitlab.com/cortext/cortext-monitoring/raw/master/swagger.yaml'
    uri:
      protocol: 'http'
      hostname: 'monitoring.cortext.next'
      port: '8080'
      pathname: 'api'
  datastore:
    name: 'RCF Datastore'
    token: 'ADMIN RCF DATAVERSE API TOKEN HERE'
    blocked_api_key: 'rcf-local-secret-key'
    uri:
      protocol: 'http'
      hostname: 'dataverse'
      port: '8080'
      pathname: ''
    public_uri: 'PUBLIC DATASTORE URI ADDRESS'
  storage:
    name: 'RCF Storage'
    uri:
      protocol: 'http'
      hostname: 'm4'
      port: '9000'
      pathname: ''
      ssl: false
    keys:
      access: 'minioadmin'
      secret: 'minioadmin'
    public_uri: 'PUBLIC STATIC FILES URI ADDRESS'
  riba:
    name: 'RIBA'
    uri:
      protocol: 'http'
      hostname: 'localhost'
      port: '7778'
      pathname: 'api'
  gatecloud/annie:
    name: 'Gatecloud Annie'
    uri:
      protocol: 'http'
      hostname: 'rcf-gatecloud-annie'
      port: '8080'
      pathname: 'gate'
  gatecloud/measurements:
    name: 'Gatecloud Measurements'
    uri:
      protocol: 'http'
      hostname: 'rcf-gatecloud-measurements'
      port: '8080'
      pathname: 'gate'
  gatecloud/twitie:
    name: 'Gatecloud Annie'
    uri:
      protocol: 'http'
      hostname: 'rcf-gatecloud-twitie'
      port: '8080'
      pathname: 'gate'
  gatecloud/knowmak:
    name: 'Gatecloud Knowmak'
    uri:
      protocol: 'http'
      hostname: 'rcf-gatecloud-knowmak'
      port: '8080'
      pathname: ''
  gatecloud/bridge-annie:
    name: 'Gatecloud Bridge Annie'
    uri:
      protocol: 'http'
      hostname: 'rcf-gatecloud-bridge-annie'
      port: '8080'
      pathname: ''
  gatecloud/bridge-measurements:
    name: 'Gatecloud Bridge Measurements'
    uri:
      protocol: 'http'
      hostname: 'rcf-gatecloud-bridge-measurements'
      port: '8080'
      pathname: ''
  gatecloud/bridge-twitie:
    name: 'Gatecloud Bridge Twitie'
    uri:
      protocol: 'http'
      hostname: 'rcf-gatecloud-bridge-twitie'
      port: '8080'
      pathname: ''
  gatecloud/translate:
    name: 'Gatecloud Translate'
    uri:
      protocol: 'http'
      hostname: 'rcf-gatecloud-translate'
      port: '8888'
      pathname: 'elg/translate'
  patents-explorer:
    name: 'Patents Explorer'
    uri:
      protocol: 'http'
      hostname: 'patents-explorer'
      port: '8080'
      pathname: ''
  risis-datasets/vico:
    name: 'VICO dataset'
    uri:
      protocol: 'http'
      hostname: 'vico-api'
      port: '80'
      pathname: ''
  risis-datasets/cheetah:
    name: 'CHEETAH dataset'
    uri:
      protocol: 'http'
      hostname: 'cheetah-api'
      port: '80'
      pathname: ''
  eupro:
    name: 'Eupro'
    uri:
      protocol: 'https'
      hostname: 'risis.opalstacked.com'
      port: ''
      pathname: ''
  risis-datasets/cib:
    name: 'CIB dataset'
    uri:
      protocol: 'http'
      hostname: 'cib-api'
      port: '80'
      pathname: ''
  risis-datasets/nanopub:
    name: 'NANO dataset'
    uri:
      protocol: 'http'
      hostname: 'nanopub-api'
      port: '80'
      pathname: 'v1.1'
  risis-datasets/cinnob:
    name: 'CinnoB dataset'
    uri:
      protocol: 'http'
      hostname: 'cinnob-api'
      port: '80'
      pathname: ''
  d4science:
    name: 'd4science'
    uri:
      protocol: 'https'
      hostname: 'api.d4science.org'
      port: '443'
      pathname: 'gcat/items'
    oidc:
      client_id: ''
      client_secret: ''
      base_url: ''
      grant_type: ''
      audience: ''
  risis-datasets/isitm:
    name: 'ISI-TM dataset'
    uri:
      protocol: 'http'
      hostname: 'isitm-api'
      port: '80'
      pathname: ''
  gatecloud/bridge-translate:
    name: 'Gatecloud Bridge Translate'
    uri:
      protocol: 'http'
      hostname: 'rcf-gatecloud-bridge-translate'
      port: '8080'
      pathname: ''
  risis-datasets/efil:
    name: 'EFIL dataset'
    uri:
      protocol: 'http'
      hostname: 'efil-api'
      port: '80'
      pathname: ''

logging:
  level: TRACE
